Package org.opensaml.xmlsec.impl

# Class BasicSignatureValidationParametersResolver

java.lang.Object
org.opensaml.xmlsec.impl.AbstractSecurityParametersResolver<SignatureValidationParameters>
org.opensaml.xmlsec.impl.BasicSignatureValidationParametersResolver

All Implemented Interfaces:
  `Resolver<SignatureValidationParameters,CriteriaSet>`, `SignatureValidationParametersResolver`

public class BasicSignatureValidationParametersResolver extends AbstractSecurityParametersResolver<SignatureValidationParameters> implements SignatureValidationParametersResolver
Basic implementation of `SignatureValidationParametersResolver`.

The following `Criterion` inputs are supported:

- `SignatureValidationConfigurationCriterion` - required

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`BasicSignatureValidationParametersResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`logResult(SignatureValidationParameters params)`
Log the resolved parameters.
`Iterable<SignatureValidationParameters>`
`resolve(CriteriaSet criteria)`
`protected SignatureTrustEngine`
`resolveSignatureTrustEngine(CriteriaSet criteria)`
Resolve and return the effective `SignatureTrustEngine`.
`SignatureValidationParameters`
`resolveSingle(CriteriaSet criteria)`

### Methods inherited from class org.opensaml.xmlsec.impl.AbstractSecurityParametersResolver

`lookupKeyInfoGenerator, resolveAndPopulateIncludesExcludes, resolveEffectiveExcludes, resolveEffectiveIncludes, resolveIncludeExcludePrecedence, resolveIncludeExcludePredicate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### BasicSignatureValidationParametersResolver

public BasicSignatureValidationParametersResolver()

## Method Details

### resolve

@Nonnull public Iterable<SignatureValidationParameters> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<SignatureValidationParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public SignatureValidationParameters resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<SignatureValidationParameters,CriteriaSet>`
Throws:
  `ResolverException`

### logResult

protected void logResult(@Nonnull SignatureValidationParameters params)
Log the resolved parameters.

Parameters:
  `params` - the resolved param

### resolveSignatureTrustEngine

@Nullable protected SignatureTrustEngine resolveSignatureTrustEngine(@Nonnull CriteriaSet criteria)
Resolve and return the effective `SignatureTrustEngine`.

Parameters:
  `criteria` - the input criteria being evaluated
Returns:
  the effective resolver, or null